Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2882093002: Make EUserSelect an enum class. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 1 week ago by shend
Modified:
5 months ago
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, blink-reviews-dom_chromium.org, blink-reviews-frames_chromium.org, blink-reviews-layout_chromium.org, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, eae+blinkwatch, jchaffraix+rendering, leviw+renderwatch, pdr+renderingwatchlist_chromium.org, rwlbuis, sof, szager+layoutwatch_chromium.org, zoltan1
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make EUserSelect an enum class. This patch makes EUserSelect an enum class for better type safety. BUG=684966 Review-Url: https://codereview.chromium.org/2882093002 Cr-Commit-Position: refs/heads/master@{#472975} Committed: https://chromium.googlesource.com/chromium/src/+/385931fbf1990470dde91e5f12c75db5680193c4

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Rebase #

Patch Set 4 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -21 lines) Patch
M third_party/WebKit/Source/core/css/CSSPrimitiveValueMappings.h View 1 2 2 chunks +8 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/core/dom/Node.cpp View 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/editing/EditingStrategy.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/editing/EditingUtilities.cpp View 1 1 chunk +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/editing/VisibleUnits.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/frame/SmartClip.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutObject.cpp View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyle.h View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/style/ComputedStyleConstants.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/style/StyleRareInheritedData.cpp View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 38 (34 generated)
shend
Hi Alan, PTAL
5 months, 1 week ago (2017-05-14 22:55:42 UTC) #4
alancutter (OOO until 2018)
lgtm
5 months, 1 week ago (2017-05-15 04:24:04 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2882093002/60001
5 months ago (2017-05-18 23:35:16 UTC) #34
commit-bot: I haz the power
5 months ago (2017-05-18 23:45:36 UTC) #38
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/385931fbf1990470dde91e5f12c7...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa